import {PageContainer, View, Image} from "@tarojs/components";
import Taro from "@tarojs/taro";
import styles from './my.module.scss'
import Header from "./components/header/header";
import {FC} from "react";
import Time from "@/pages/my/components/header/time";
import Service from "@/pages/my/components/header/service";
import LoginView from "@/components/loginView";
import {Profile} from "@/store";
import {rfc33392time} from "@/utils/day";
import Img from "@/components/image/image";
import GreenNike from "@/static/img/greenNike.png"

const My: FC = () => {
  const globalData = Taro.getApp().globalData
  const {token,empty} = Profile.useContainer()

  return (
    <View className={styles.content} style={`paddingTop:${globalData.statusBarHeight}px`}>
      { !token ?
        <LoginView height={globalData.windowHeight-100}></LoginView>
        :
        <>
          <Header/>
          <Time/>
          <Service/>
        </>

      }

      <PageContainer position={'bottom'} round={true} show={false}>
        <View className="px-3 py-5">
          <View className="font-32 pb-3" style={{display:'flex',justifyContent:'center',borderBottom:'2rpx solid #f5f8f7'}}>选择公司</View>

          <View className={styles.box} onClick={() => {}}>
            <View className={styles.image}>
              <Img width={68} height={68} src={'dd'}/>
            </View>
            <View className={styles.innerBox}>
                <View className={styles.title}>撒旦发射点发射点发射点发射点发射点发生啊手动阀手动阀手动阀</View>
                <Image src={GreenNike} className={styles.icon}></Image>
              </View>
          </View>
        </View>
      </PageContainer>
    </View>
  )
}

export default My
